=== debian/changelog ===
ros-indigo-moveit-ros-perception (0.7.14-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.13-1trusty) trusty; urgency=high

  * [improve] removed deprecated pluginlib macro (#677 <https://github.com/ros-planning/moveit/issues/677>)
  * Contributors: Mikael Arguedas

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.9-1trusty) trusty; urgency=high

  * [fix] gcc6 build error (#471 <https://github.com/ros-planning/moveit/issues/471>, #458 <https://github.com/ros-planning/moveit/issues/458>)
  * Contributors: Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov

 -- Ioan Sucan <isucan@google.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.7-1trusty) trusty; urgency=high

  * clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.2-1trusty) trusty; urgency=high

  * set empty display function for glut window
    With freeglut 3.0 moveit aborts over here, printing
    > ERROR: No display callback registered for window 1
    According to https://sourceforge.net/p/freeglut/bugs/229/
    and https://www.opengl.org/resources/libraries/glut/spec3/node46.html
    a callback *must* be registered for each window.
    With this patch moveit starts up as expected.
  * Contributors: v4hn

 -- Ioan Sucan <isucan@google.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.1-1trusty) trusty; urgency=high

  * [fix] Remove OpenMP parallelization (fixes #563 <https://github.com/ros-planning/moveit_ros/issues/563>)
  * Contributors: Stefan Kohlbrecher

 -- Ioan Sucan <isucan@google.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * Added missing dependency on moveit_msgs package
  * Contributors: Andriy Petlovanyy, Dave Coleman, dg

 -- Ioan Sucan <isucan@google.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * adding RAII-based locking for OccMapTree
  * moving lazy_free_space_updater into it's own library
  * Contributors: Jonathan Bohren, Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sat, 20 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.3-1trusty) trusty; urgency=high

  * port #445 <https://github.com/ros-planning/moveit_ros/issues/445> to indigo
  * disable test that needs display when no display defined
  * GL_TYPE() is a function in newer versions of OpenGL, this fixes tests on Ubuntu 14.04
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Wed, 03 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.1-1trusty) trusty; urgency=high

  * fix linking error on OSX
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.6.0-1trusty) trusty; urgency=high

  * Fixing invalid iterators if filtered_cloud_topic is not set.
    Adding missing dependency on sensor_msgs.
    Fixing indentation, whitespace, and tabs.
    Incrementing PointCloud2Iterator pixel-at-a-time, not byte-at-a-time.
  * remove PCL dependency
  * Fixed issue with unordered_map and libc++ (LLVM, Mac OS X Mavericks)
    libc++ doesn't have std::tr1::unordered_map, just std::unordered_map
  * Fixing OpenGL gl.h and glu.h inclusion on Mac OS X
  * Contributors: Jason Ziglar, Marco Esposito, Sachin Chitta, Vincent Rabaud

 -- Ioan Sucan <isucan@google.com>  Mon, 27 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-perception (0.5.19-1trusty) trusty; urgency=high

  * Fix [-Wreorder] warning.
  * Address [cppcheck: duplicateExpression] error.
    The existing check for NaNs is in fact correct for IEEE-compliant floating
    numbers, i.e., if (a == a) then a is not a NaN, but confuses static code
    analyzers. This fix instead uses the isnan(a) macro from <cmath>.
  * Prevent future conflicts between STL and Boost.
    mesh_filter_base.cpp was doing:
    using namespace std;
    using namespace boost;
    Considering that Boost is a testing ground for future standard additions,

